Name:		aeolus
Summary:	Synthesized pipe organ emulator
Version:	0.10.4
Release:	%mkrel 3
License:	GPLv2+ and CC-BY-SA
Group:		Sound/Midi
Source0:	https://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Source1:	https://kokkinizita.linuxaudio.org/linuxaudio/downloads/stops-0.4.0.tar.bz2
# http://commons.wikimedia.org/wiki/File:Logo_aeolus.png / resized to 48x48
# CC-BY-SA License
Source2:	%{name}48x48.png
URL:		https://kokkinizita.linuxaudio.org/linuxaudio/aeolus/index.html
BuildRequires:	clthreads-devel >= 2.4.2
BuildRequires:	zita-alsa-pcmi-devel >= 0.5.1
BuildRequires:	clxclient-devel >= 3.9.2
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(readline)

%description
Aeolus is a synthesized (i.e. not sampled) pipe organ emulator that 
should be good enough to make an organist enjoy playing it. It is a 
software synthesizer optimised for this job, with possibly hundreds 
of controls for each stop, that enable the user to "voice" 
his instrument.

Main features of the default instrument: three manuals and one pedal, 
five different temperaments, variable tuning, MIDI control of course, 
stereo, surround or Ambisonics output, flexible audio controls 
including a large church reverb.

Aeolus is not very CPU-hungry, and should run without problems on a 
e.g. a 1GHz, 256MB machine. 


%prep
%setup -q -n %{name}-%{version} -a1

# fix wrong perms
chmod +r stops-0.4.0/*
cd source
sed -i -e 's/PREFIX =/#PREFIX =/g' Makefile
sed -i -e 's/-lXft//g' Makefile
sed -i -e 's/-lrt//g' Makefile
sed -i -e '/ldconfig/d' Makefile
sed -i -e 's#-O2#%{optflags}#' Makefile

%build
cd source
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
cd source
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
cd ..

mkdir -p %{buildroot}%{_datadir}/%{name}/stops
cp -fr stops-0.4.0/* %{buildroot}%{_datadir}/%{name}/stops/

mkdir -p %{buildroot}%{_sysconfdir}/
cat > %{buildroot}%{_sysconfdir}/%{name}.conf <<EOF
-u -J -S %{_datadir}/%{name}/stops
EOF

# desktop file and icon
install -d -m755 %{buildroot}%{_datadir}/pixmaps
install -m644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOL
[Desktop Entry]
Type=Application
Exec=aeolus
GenericName=Aeolus
GenericName[en_GB]=Aeolus
Icon=aeolus
Name=Aeolus
Comment=Virtual pipe organ based on additive synthesis
Name[en_GB]=Aeolus
Comment[en_GB]=Virtual pipe organ based on additive synthesis
Name[cs]=Aeolus
Comment[cs]=Virtuální varhany založené na aditivní syntéze
Name[de]=Aeolus
Comment[de]=Virtuelle Pfeifenorgel, auf additiver Synthese beasierend
Name[es]=Aeolus
Comment[es]=Órgano virtual basado en la síntesis aditiva
Name[fr]=Aeolus
Comment[fr]=Orgue virtuel basé sur la synthèse additive
Name[it]= Aeolus
Comment[it]= Virtual pipe organ basato sulla sintesi additiva
Name[ja]=Aeolus
Comment[ja]=バーチャルパイプオルガン
Name[nb]=Aeolus
Comment[nb]=Virtuelt orgel basert på additivsyntese
Name[nl]=Aeolus
Comment[nl]=Virtueel pijporgel gebaseerd op toegevoegde syntheses
Name[pl]=Aeolus
Comment[pl]=Wirtualne organy piszczałkowe
Name[pt_BR]=Aeolus
Comment[pt_BR]=Virtual pipe organ based on additive synthesis
Name[sk]=Aeolus
Comment[sk]=Virtuálny píštalový organ založený na aditívnej syntéze
Name[zh_CN]=Aeolus
Comment[zh_CN]=基于加法合成的虚拟管道元件
Name[zh_TW]=Aeolus
Comment[zh_TW]=以疊合多種合成器為基礎的虛擬管風琴
StartupNotify=true
Terminal=false
Categories=Audio;AudioVideo;Midi;X-Mageia-CrossDesktop;
X-KDE-SubstituteUID=false
EOL

%files
%config %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/aeolus*.so


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.10.4-3.mga10
+ Revision: 2214837
- Mageia 10 Mass Rebuild

* Mon Jul 25 2022 philippedidier <philippedidier> 0.10.4-2.mga9
+ Revision: 1871510
- new version 0.10.4

* Sat Apr 02 2022 umeabot <umeabot> 0.9.9-3.mga9
+ Revision: 1840121
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 philippedidier <philippedidier> 0.9.9-2.mga9
+ Revision: 1782868
- correct wrong characters in desktop file

* Sun Jun 28 2020 barjac <barjac> 0.9.9-1.mga8
+ Revision: 1600225
- new version 0.9.9

* Mon Apr 06 2020 barjac <barjac> 0.9.8-1.mga8
+ Revision: 1565039
- new version 0.9.8

* Tue Feb 18 2020 umeabot <umeabot> 0.9.7-4.mga8
+ Revision: 1542015
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.9.7-3.mga8
+ Revision: 1475920
- rebuild for readline

* Wed Jan 23 2019 barjac <barjac> 0.9.7-2.mga7
+ Revision: 1360115
- fix libdir for aarch build
- new version 0.9.7
- move files list to bottom of spec
- fix sed to add opt_flags correctly
- minor path fix

* Sun Sep 23 2018 umeabot <umeabot> 0.9.5-2.mga7
+ Revision: 1297291
- Mageia 7 Mass Rebuild

* Mon Nov 06 2017 barjac <barjac> 0.9.5-1.mga7
+ Revision: 1176304
- Correct release 1

* Mon Nov 06 2017 barjac <barjac> 0.9.5-0.2.mga7
+ Revision: 1176303
- new version 0.9.5

* Thu Jan 07 2016 neoclust <neoclust> 0.9.0-6.mga6
+ Revision: 920293
- Fix build on arm ( fix LIBDIR)

* Wed Oct 28 2015 ycantin <ycantin> 0.9.0-5.mga6
+ Revision: 895932
- fix build by using %%make_install

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 743470
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-3.mga5
+ Revision: 677707
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-2.mga4
+ Revision: 531707
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 barjac <barjac> 0.9.0-1.mga4
+ Revision: 464621
- new version 0.9.0
- changed build requires
- changes to makefile to fix build
- minor spec clean

* Fri Jan 11 2013 umeabot <umeabot> 0.8.4-2.mga3
+ Revision: 345299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 barjac <barjac> 0.8.4-1.mga3
+ Revision: 321953
- spec cleaned
- dektop file updated and now in spec
- thanks to Philippe Didier
- Import from Mandriva


* Sat Jul 24 2010 Frank Kober <emuse@mandriva.org> 0.8.4-1mdv2011.0
+ Revision: 558121
- new version 0.8.4
 o requires clalsadrv>=2.0.0
 o replace patches by sed scripts

* Mon Feb 08 2010 Jérôme Brenier <incubusss@mandriva.org> 0.8.2-6mdv2010.1
+ Revision: 501953
- fix some wrong perms

* Mon Feb 08 2010 Jérôme Brenier <incubusss@mandriva.org> 0.8.2-4mdv2010.1
+ Revision: 501881
- add PREFIX=%%{_prefix} to %%make
- fix linkage (over and under linking)
- relocate stops to %%{_datadir}/aeolus/stops and fix aeolus.conf
- add a desktop file (thanks to P. DIDIER) and an icon under CC-BY-SA
- cosmetic changes

* Fri Dec 18 2009 Jérôme Brenier <incubusss@mandriva.org> 0.8.2-3mdv2010.1
+ Revision: 479978
- BuildRequires: readline-devel

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Funda Wang <fwang@mandriva.org>
    - New version 0.8.2

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 0.6.6-4mdv2009.1
+ Revision: 317086
- fix rpm group (bug#46412)

* Sat Sep 13 2008 Funda Wang <fwang@mandriva.org> 0.6.6-3mdv2009.0
+ Revision: 284529
- Add stops source to fix bug#40543
- new license policy
- spec cleanup

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 0.6.6-2mdv2009.0
+ Revision: 226132
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 09 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.6.6-1mdv2008.1
+ Revision: 116599
- Add missing BuildRequire
- import aeolus


